//---------------------------------------------------------------------------

#ifndef UnitMainH
#define UnitMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include "SpeedButtonEx.hpp"
#include <Buttons.hpp>
#include <comobj.hpp>
//---------------------------------------------------------------------------
class TfmMain : public TForm
{
__published:	// IDE-managed Components
        TShape *Shape1;
        TShape *Shape2;
        TLabel *Label1;
        TPageControl *PageControl1;
        TTabSheet *TabSheet2;
        TTabSheet *TabSheet3;
        TPageControl *PageControl;
        TTabSheet *pConfig;
        TSpeedButtonEx *bEditECR;
        TLabel *Label2;
        TSpeedButtonEx *bBegin;
        TSpeedButtonEx *bClose;
        TLabel *Label4;
        TLabel *Label5;
        TComboBox *eKKM;
        TPanel *PanelInfo;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *LOut;
        TLabel *LIn;
        TTabSheet *pSaveGoods;
        TSpeedButtonEx *bTestGoods;
        TSpeedButtonEx *bNullGoods;
        TLabel *Label3;
        TLabel *Label6;
        TMemo *mTest;
        TTabSheet *pReport;
        TSpeedButtonEx *bReport;
        TLabel *Label7;
        TLabel *Label8;
        TMemo *mReport;
        TTabSheet *TabSheet1;
        TMemo *Memo1;
        TPageControl *PageControl2;
        TTabSheet *TabSheet4;
        TSpeedButtonEx *SpeedButtonEx1;
        TLabel *Label11;
        TSpeedButtonEx *bScaleBegin;
        TSpeedButtonEx *bScaleClose;
        TLabel *Label12;
        TLabel *Label13;
        TComboBox *cbScale;
        TPanel *ScalePanelInfo;
        TLabel *Label14;
        TLabel *lScaleIn;
        TTabSheet *pScaleSaveGoods;
        TSpeedButtonEx *bSendWaresToScale;
        TSpeedButtonEx *SpeedButtonEx5;
        TLabel *Label18;
        TLabel *Label19;
        TMemo *mTestScale;
        void __fastcall FormActivate(TObject *Sender);
        void __fastcall bEditECRClick(TObject *Sender);
        void __fastcall eKKMChange(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall bBeginClick(TObject *Sender);
        void __fastcall bCloseClick(TObject *Sender);
        void __fastcall bTestGoodsClick(TObject *Sender);
        void __fastcall bNullGoodsClick(TObject *Sender);
        void __fastcall bReportClick(TObject *Sender);
        void __fastcall cbScaleChange(TObject *Sender);
        void __fastcall SpeedButtonEx1Click(TObject *Sender);
        void __fastcall bScaleBeginClick(TObject *Sender);
        void __fastcall bScaleCloseClick(TObject *Sender);
        void __fastcall SpeedButtonEx5Click(TObject *Sender);
        void __fastcall bSendWaresToScaleClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
         Variant Driver,ScaleDriver;
         bool isRu;
        __fastcall TfmMain(TComponent* Owner);
        void RefreshKKMs();
        void RefreshScales();        
        void AccessElements(bool isOpen);
        void ScaleAccessElements(bool isOpen);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif
